Bug 113791 - Slow scrolling with multiple animated gifs
Summary: Slow scrolling with multiple animated gifs
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks: Writer-Images
  Show dependency treegraph
 
Reported: 2017-11-12 19:17 UTC by Telesto
Modified: 2019-06-06 02:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Bibisect log (4.39 KB, text/plain)
2017-11-12 19:22 UTC, Telesto
Details
Bibisect log 2 (3.08 KB, text/plain)
2017-11-12 19:27 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-11-12 19:17:44 UTC
Description:
Slow scrolling with multiple animated gifs

Steps to Reproduce:
1. Open attachment 120884 [details]
2. Scroll up and down -> Screen is tearing a bit. CPU usage for background processing is also a bit higher compared to older versions.


Actual Results:  
Screen is tearing a bit while scrolling and higher load for background processing

Expected Results:
Something similar to LibO 4.0.0.3


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.0.0.0.alpha1+
Build ID: b3f1d199a72ce87cb65ddaeac922564f57da6a4d
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-11-06_00:10:53
Locale: nl-NL (nl_NL); Calc: C


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Telesto 2017-11-12 19:22:38 UTC
Created attachment 137705 [details]
Bibisect log

Regression introduced by:

commit 44fb0ceeb98f45bc301d021c11af2c13f051bd4b
Author:     Armin Le Grand <alg@apache.org>
AuthorDate: Mon Oct 29 16:20:25 2012 +0000
Commit:     Caolán McNamara <caolanm@redhat.com>
CommitDate: Thu May 9 16:35:40 2013 +0100
    
Resolves: #i121233# Added bitmap scaling methods BMP_SCALE_SUPER
    
added from symphony, also BMP_SCALE_LANCZOS, BMP_SCALE_BICUBIC,
BMP_SCALE_BILINEAR and BMP_SCALE_BOX.
    
Changed defaults for internal scalings, enhanced PDF export when reduched DPI
is used, added BMP_SCALE_BESTQUALITY and BMP_SCALE_FASTESTINTERPOLATE as new
default for Bitmap::Scale
Comment 2 Telesto 2017-11-12 19:27:32 UTC
Created attachment 137706 [details]
Bibisect log 2

FYI: There is also a small increase in CPU usage (background processing from 5 to 12%) after:

Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Fri Sep 18 11:09:32 2015 +0800

source-hash-a7cc0faeff0f02d82b9cad2a95359f73cc871e8a
    
commit a7cc0faeff0f02d82b9cad2a95359f73cc871e8a
Author:     Noel Power <noel.power@suse.com>
AuthorDate: Fri May 3 10:24:33 2013 +0100
Commit:     Noel Power <noel.power@suse.com>
CommitDate: Thu May 9 14:11:19 2013 +0100
    
support Shape.Alternative
Comment 3 Buovjaga 2017-11-15 14:38:07 UTC
Confirmed.

Arch Linux 64-bit
Version: 6.0.0.0.alpha1+
Build ID: 17cfe6e25d479428de308c22fcd218dcf8827840
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 15th 2017
Comment 4 Telesto 2018-03-01 14:56:33 UTC Comment hidden (obsolete)
Comment 5 Volga 2018-05-20 06:19:50 UTC Comment hidden (obsolete)
Comment 6 Xisco Faulí 2018-06-05 19:23:22 UTC
Adding Cc: to Armin Le Grand
Comment 7 QA Administrators 2019-06-06 02:55:19 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug